Create Custom Event

Send a Custom Event to use in Flows

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Custom Events can be used as Flow Triggers or in Flow Wait for Event Split Branching Actions.

Type & Display Name

Events sent through the API will display the type prefixed with the partner/shop name in Flows. For example, if sending an event called "OrderPlaced", the event will display as as "[Your Partner/Shop Name] - OrderPlaced" to distinguish it from other events of a similar type.

Subscriber Identifiers

Events can include an identifier to tie the record to a subscriber (subscriber_id, phone, and/or email). API requests can be sent with multiple identifiers.

If provided, Postscript will attempt to reconcile the provided identifier(s) to a single Subscriber using the following steps:

  1. Attempt to match Subscriber usingsubscriber_id(unique across platform)
  2. If subscriber_id is not provided or no Subscriber has yet been matched, attempt to match using phone_number (unique per-Shop)
  3. If subscriber_id and phone are not provided or no Subscriber has yet been matched, attempt to match using email (if multiple Subscribers exist, prioritize the most recent opted-in Subscriber)

Matching is done asynchronously. If no Subscriber is found for the given identifier(s), the event definition will still be captured and made available in Flows.

Note: This recent update now means you may populate Postscript with your custom events prior to Subscribers triggering them.

Body Params
string
required

The type of event that you are creating. This is the name of the event that will show in the Postscript application. Note: when creating this event, we will automatically prefix your partner/shop name in front of the event. For example, if sending an event called "OrderPlaced", we'll show it in our UI as "[Your Partner/Shop Name] - OrderPlaced" to distinguish it from others of a similar name. We accept the follow characters in the value field: lowercase letters (a-z), uppercase letters (A-Z), digits (0-9), and underscores (_).

string

The ID of the subscriber that you are creating the event for.

string

The phone number of the subscriber that you are creating the event for. E.164 format is recommended, but other formats will be accepted.

string

The email of the subscriber that you are creating the event for.

date

When the event occurred. This parameter is optional but allows you to set the exact time that the event occurred on your system. If it is not sent to us, we will just use the current time when we receive it. The following UTC time format is supported: %Y-%m-%d %H:%M:%S.%f

properties
object

These are the properties of the event. These properties will be exposed in the Postscript platform for things like filtering and merge tags to merchants.

string

The unique id of the event on your system. This is an optional field. If a value is not provided, we will create a default id ourselves based on time of event received.

Headers
string

Shop API Token. Required for partners. This header should be used only by partners. Shops should include their API token in the Authorization header.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json